Bug 855528 - Review Request: pyproj - a python module that performs cartographic transformations and geodetic computations (2)
Review Request: pyproj - a python module that performs cartographic transform...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
: 806040 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 12:17 EDT by Jos de Kloe
Modified: 2015-03-01 11:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:10:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jos de Kloe 2012-09-08 12:17:10 EDT
copy of my request of 2012-03-22 13:59:51 EDT
(this new bug is needed to allow moving this to the proper account that I wish to use to maintain the package; there seems no other wy in bugzilla to do this).
Comment 1 jdekloe 2012-09-08 12:24:51 EDT
*** Bug 806040 has been marked as a duplicate of this bug. ***
Comment 2 Mario Blättermann 2012-09-09 15:21:35 EDT
Of course, we need the spec and srpm files:

Spec URL: http://jdekloe.nl/Fedora/pyproj.spec
SRPM URL: http://jdekloe.nl/Fedora/pyproj-1.9.2-5.20120712svn300.fc16.src.rpm

(taken from the old review request)
Comment 3 Mario Blättermann 2012-10-06 14:01:00 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4566875

$ rpmlint -i -v *
pyproj.src: I: checking
pyproj.src: I: checking-url http://code.google.com/p/pyproj (timeout 10 seconds)
pyproj.src:18: W: macro-in-comment %{name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

pyproj.src:18: W: macro-in-comment %{name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

pyproj.src:18: W: macro-in-comment %{version}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

pyproj.src: W: invalid-url Source0: pyproj-1.9.2-20120712svn300.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

pyproj.i686: I: checking
pyproj.i686: W: spelling-error Summary(en_US) Cython -> Python
The value of this tag appears to be misspelled. Please double-check.

pyproj.i686: W: spelling-error %description -l en_US Cython -> Python
The value of this tag appears to be misspelled. Please double-check.

pyproj.i686: W: spelling-error %description -l en_US numpy -> bumpy, lumpy, dumpy
The value of this tag appears to be misspelled. Please double-check.

pyproj.i686: I: checking-url http://code.google.com/p/pyproj (timeout 10 seconds)
pyproj.x86_64: I: checking
pyproj.x86_64: W: spelling-error Summary(en_US) Cython -> Python
The value of this tag appears to be misspelled. Please double-check.

pyproj.x86_64: W: spelling-error %description -l en_US Cython -> Python
The value of this tag appears to be misspelled. Please double-check.

pyproj.x86_64: W: spelling-error %description -l en_US numpy -> bumpy, lumpy, dumpy
The value of this tag appears to be misspelled. Please double-check.

pyproj.x86_64: I: checking-url http://code.google.com/p/pyproj (timeout 10 seconds)
pyproj-debuginfo.i686: I: checking
pyproj-debuginfo.i686: I: checking-url http://code.google.com/p/pyproj (timeout 10 seconds)
pyproj-debuginfo.x86_64: I: checking
pyproj-debuginfo.x86_64: I: checking-url http://code.google.com/p/pyproj (timeout 10 seconds)
pyproj.spec:18: W: macro-in-comment %{name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

pyproj.spec:18: W: macro-in-comment %{name}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

pyproj.spec:18: W: macro-in-comment %{version}
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

pyproj.spec: W: invalid-url Source0: pyproj-1.9.2-20120712svn300.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python3-pyproj.i686: I: checking
python3-pyproj.i686: W: spelling-error Summary(en_US) Cython -> Python
The value of this tag appears to be misspelled. Please double-check.

python3-pyproj.i686: W: spelling-error %description -l en_US Cython -> Python
The value of this tag appears to be misspelled. Please double-check.

python3-pyproj.i686: W: spelling-error %description -l en_US numpy -> bumpy, lumpy, dumpy
The value of this tag appears to be misspelled. Please double-check.

python3-pyproj.i686: I: checking-url http://code.google.com/p/pyproj (timeout 10 seconds)
python3-pyproj.x86_64: I: checking
python3-pyproj.x86_64: W: spelling-error Summary(en_US) Cython -> Python
The value of this tag appears to be misspelled. Please double-check.

python3-pyproj.x86_64: W: spelling-error %description -l en_US Cython -> Python
The value of this tag appears to be misspelled. Please double-check.

python3-pyproj.x86_64: W: spelling-error %description -l en_US numpy -> bumpy, lumpy, dumpy
The value of this tag appears to be misspelled. Please double-check.

python3-pyproj.x86_64: I: checking-url http://code.google.com/p/pyproj (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 20 warnings.


The macro-in-comment warnings are ignorable, but could be avoided if you escape the "%" characters with a second one. Doesn't matter, this is no review blocker.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    b1dc35efeeebbba1e31564571766a9a0b6ef3d89f8787b8e1b4ae129fc82bd68  pyproj-1.9.2-20120712svn300.tar.gz
    c5dc9c88afa74174b20f189f872ae562a4cca30bfb72b16085824d04ff9e8672  pyproj-1.9.2-20120712svn300.tar.gz.packaged

Checksums are not identical, but this is due to the way we get the sources. Checking out and repacking from VCS contents can cause some differences, that's why this is not applicable here.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[.] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 4 Volker Fröhlich 2012-10-06 16:43:26 EDT
Are you sponsored yet?
Comment 5 Mario Blättermann 2012-10-06 16:53:32 EDT
(In reply to comment #4)
> Are you sponsored yet?

Oops, I wasn't aware of this... He isn't. Volker, as far as I can see, you don't have sponsor privileges, that's why I will sponsor him. After Jos did some informal reviews, I will add him to the package maintainers group.
Comment 6 Volker Fröhlich 2012-10-06 16:55:42 EDT
Perfect, thanks!
Comment 7 Jos de Kloe 2012-10-07 16:15:43 EDT
Thanks for your work Mario.

>The macro-in-comment warnings are ignorable, but could be avoided if you escape >the "%" characters with a second one. Doesn't matter, this is no review blocker.

I will take this change on board in my next version.
Comment 8 Mario Blättermann 2012-10-17 16:40:21 EDT
@Jos, you are now a member of the packagers group with Git commit privileges, that's why you can go ahead with a SCM request now:
https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages

Please add my FAS name "mariobl" to the "Owners:" tag, so that I get access to your package.
Comment 9 Jos de Kloe 2012-10-17 17:52:32 EDT
New Package SCM Request
=======================
Package Name: pyproj
Short Description: Cython wrapper to provide python interfaces to Proj
Owners: jdekloe mariobl
Branches: f18
InitialCC:
Comment 10 Jon Ciesla 2012-10-18 07:10:16 EDT
Git done (by process-git-requests).
Comment 11 Volker Fröhlich 2012-10-23 14:10:48 EDT
Don't forget to build your F18 package and register it as an update candidate on https://admin.fedoraproject.org/updates.
Comment 12 Fedora Update System 2012-10-24 16:16:08 EDT
pyproj-1.9.2-5.20120712svn300.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pyproj-1.9.2-5.20120712svn300.fc18
Comment 13 Fedora Update System 2012-10-26 15:24:32 EDT
pyproj-1.9.2-5.20120712svn300.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2012-12-20 11:10:53 EST
pyproj-1.9.2-5.20120712svn300.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Eduardo Mayorga 2015-02-28 23:37:14 EST
Package Change Request
======================
Package Name: pyproj
New Branches: el6 epel7
Owners: mayorga
Comment 16 Jos de Kloe 2015-03-01 09:22:16 EST
Hi,
glad to see there is interest from el6/epel7 as well for this package. As fedora packager for this one I'd be happy to co-maintain if you wish.

Please note that updated versions of pyproj are available upstream, but I have had to wait to upgrade the package because they depend on the upcoming proj.4 update to v4.9.1. See:
https://bugzilla.redhat.com/show_bug.cgi?id=1001515
Comment 17 Jon Ciesla 2015-03-01 11:48:07 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.